<?php

function car_mechanic_remove_customize_register() {
    global $wp_customize;
    $wp_customize->remove_setting( 'automobile_hub_menu_font_size' );
    $wp_customize->remove_control( 'automobile_hub_menu_font_size' );

    $wp_customize->remove_setting( 'automobile_hub_cart_option' );
    $wp_customize->remove_control( 'automobile_hub_cart_option' );

    $wp_customize->remove_setting( 'automobile_hub_tp_color_option_link' );
    $wp_customize->remove_control( 'automobile_hub_tp_color_option_link' );

    $wp_customize->remove_setting( 'automobile_hub_cart_icon' );
    $wp_customize->remove_control( 'automobile_hub_cart_icon' );

    $wp_customize->remove_setting( 'automobile_hub_slider_icon' );
    $wp_customize->remove_control( 'automobile_hub_slider_icon' );
    
    $wp_customize->remove_setting( 'automobile_hub_about_icon' );
    $wp_customize->remove_control( 'automobile_hub_about_icon' );
}
add_action( 'customize_register', 'car_mechanic_remove_customize_register', 11 );


function car_mechanic_customize_register( $wp_customize ) {
// Register the custom control type.
	$wp_customize->register_control_type( 'Car_Mechanic_Toggle_Control' );

	//Tp Color Option
	$wp_customize->add_setting( 'car_mechanic_tp_secondary_color_option', array(
	    'default' => '',
	    'priority' => 2,
	    'sanitize_callback' => 'sanitize_hex_color'
  	));
  	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'car_mechanic_tp_secondary_color_option', array(
			'label'     => __('Theme Secondary  Color', 'car-mechanic'),
	    'description' => __('It will change the complete theme secondary color in one click.', 'car-mechanic'),
	    'section' => 'automobile_hub_color_option',
	    'settings' => 'car_mechanic_tp_secondary_color_option',
  	)));
 
 	//Topbar Section
	$wp_customize->add_setting('car_mechanic_location_text',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('car_mechanic_location_text',array(
		'label'	=> __('Add Location Text','car-mechanic'),
		'section'	=> 'automobile_hub_topbar',
		'type'		=> 'text'
	));
	$wp_customize->add_setting('car_mechanic_location',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('car_mechanic_location',array(
		'label'	=> __('Add Location','car-mechanic'),
		'section'	=> 'automobile_hub_topbar',
		'type'		=> 'text'
	));

	//Featured Car Section
	$wp_customize->add_section( 'car_mechanic_featured_car_section' , array(
    	'title'      => __( 'Best Car Deals Settings', 'car-mechanic' ),
		'panel' => 'automobile_hub_panel_id',
		'priority' => 4,
	) );
    $wp_customize->add_setting( 'car_mechanic_featured_car_show_hide', array(
		'default'           => false,
		'transport'         => 'refresh',
		'sanitize_callback' => 'automobile_hub_sanitize_checkbox',
	) );
	$wp_customize->add_control( new Car_Mechanic_Toggle_Control ( $wp_customize, 'car_mechanic_featured_car_show_hide', array(
		'label'       => esc_html__( 'Show / Hide section', 'car-mechanic' ),
		'section'     => 'car_mechanic_featured_car_section',
		'type'        => 'toggle',
		'settings'    => 'car_mechanic_featured_car_show_hide',
	) ) );
	$wp_customize->add_setting('car_mechanic_featured_car_section_tittle',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('car_mechanic_featured_car_section_tittle',array(
		'label'	=> __('Section Title','car-mechanic'),
		'section'	=> 'car_mechanic_featured_car_section',
		'type'		=> 'text'
	));
	$wp_customize->add_setting('car_mechanic_featured_car_section_text',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('car_mechanic_featured_car_section_text',array(
		'label'	=> __('Section Text','car-mechanic'),
		'section'	=> 'car_mechanic_featured_car_section',
		'type'		=> 'text'
	));

	$categories = get_categories();
	$cats = array();
	$i = 0;
	$offer_cat[]= 'select';
	foreach($categories as $category){
		if($i==0){
			$default = $category->slug;
			$i++;
		}
		$offer_cat[$category->slug] = $category->name;
	}
	$wp_customize->add_setting('car_mechanic_featured_car_section_category',array(
		'default'	=> 'select',
		'sanitize_callback' => 'automobile_hub_sanitize_choices',
	));
	$wp_customize->add_control('car_mechanic_featured_car_section_category',array(
		'type'    => 'select',
		'choices' => $offer_cat,
		'label' => __('Select Category','car-mechanic'),
		'section' => 'car_mechanic_featured_car_section',
	));

}
add_action( 'customize_register', 'car_mechanic_customize_register' );
