<?php

require get_stylesheet_directory() . '/customizer/customizer.php';

add_action( 'after_setup_theme', 'car_mechanic_after_setup_theme' );
function car_mechanic_after_setup_theme() {
    add_theme_support( 'title-tag' );
    add_theme_support( 'automatic-feed-links' );
    add_theme_support( "responsive-embeds" );
    add_theme_support( 'wp-block-styles' );
    add_theme_support( 'align-wide' );
    add_theme_support( 'post-thumbnails' );
    add_image_size( 'car-mechanic-featured-image', 2000, 1200, true );
    add_image_size( 'car-mechanic-thumbnail-avatar', 100, 100, true );

    // Set the default content width.
    $GLOBALS['content_width'] = 525;

    // Add theme support for Custom Logo.
    add_theme_support( 'custom-logo', array(
        'width'       => 250,
        'height'      => 250,
        'flex-width'  => true,
        'flex-height' => true,
    ) );

    add_theme_support( 'custom-background', array(
        'default-color' => 'ffffff'
    ) );

    add_theme_support( 'html5', array('comment-form','comment-list','gallery','caption',) );

    add_editor_style( array( 'assets/css/editor-style.css') );
}

/**
 * Register widget area.
 */
function car_mechanic_widgets_init() {
    register_sidebar( array(
        'name'          => __( 'Blog Sidebar', 'car-mechanic' ),
        'id'            => 'sidebar-1',
        'description'   => __( 'Add widgets here to appear in your sidebar on blog posts and archive pages.', 'car-mechanic' ),
        'before_widget' => '<section id="%1$s" class="widget %2$s">',
        'after_widget'  => '</section>',
        'before_title'  => '<h3 class="widget-title">',
        'after_title'   => '</h3>',
    ) );

    register_sidebar( array(
        'name'          => __( 'Page Sidebar', 'car-mechanic' ),
        'id'            => 'sidebar-2',
        'description'   => __( 'Add widgets here to appear in your sidebar on pages.', 'car-mechanic' ),
        'before_widget' => '<section id="%1$s" class="widget %2$s">',
        'after_widget'  => '</section>',
        'before_title'  => '<h3 class="widget-title">',
        'after_title'   => '</h3>',
    ) );

    register_sidebar( array(
        'name'          => __( 'Sidebar 3', 'car-mechanic' ),
        'id'            => 'sidebar-3',
        'description'   => __( 'Add widgets here to appear in your sidebar on blog posts and archive pages.', 'car-mechanic' ),
        'before_widget' => '<section id="%1$s" class="widget %2$s">',
        'after_widget'  => '</section>',
        'before_title'  => '<h3 class="widget-title">',
        'after_title'   => '</h3>',
    ) );

    register_sidebar( array(
        'name'          => __( 'Footer 1', 'car-mechanic' ),
        'id'            => 'footer-1',
        'description'   => __( 'Add widgets here to appear in your footer.', 'car-mechanic' ),
        'before_widget' => '<section id="%1$s" class="widget %2$s">',
        'after_widget'  => '</section>',
        'before_title'  => '<h3 class="widget-title">',
        'after_title'   => '</h3>',
    ) );

    register_sidebar( array(
        'name'          => __( 'Footer 2', 'car-mechanic' ),
        'id'            => 'footer-2',
        'description'   => __( 'Add widgets here to appear in your footer.', 'car-mechanic' ),
        'before_widget' => '<section id="%1$s" class="widget %2$s">',
        'after_widget'  => '</section>',
        'before_title'  => '<h3 class="widget-title">',
        'after_title'   => '</h3>',
    ) );

    register_sidebar( array(
        'name'          => __( 'Footer 3', 'car-mechanic' ),
        'id'            => 'footer-3',
        'description'   => __( 'Add widgets here to appear in your footer.', 'car-mechanic' ),
        'before_widget' => '<section id="%1$s" class="widget %2$s">',
        'after_widget'  => '</section>',
        'before_title'  => '<h3 class="widget-title">',
        'after_title'   => '</h3>',
    ) );

    register_sidebar( array(
        'name'          => __( 'Footer 4', 'car-mechanic' ),
        'id'            => 'footer-4',
        'description'   => __( 'Add widgets here to appear in your footer.', 'car-mechanic' ),
        'before_widget' => '<section id="%1$s" class="widget %2$s">',
        'after_widget'  => '</section>',
        'before_title'  => '<h3 class="widget-title">',
        'after_title'   => '</h3>',
    ) );
}
add_action( 'widgets_init', 'car_mechanic_widgets_init' );

// enqueue styles for child theme
function car_mechanic_enqueue_styles() {

    wp_enqueue_style( 'car-mechanic-fonts', automobile_hub_fonts_url(), array(), null );

    // Bootstrap
    wp_enqueue_style( 'bootstrap-css', get_theme_file_uri( '/assets/css/bootstrap.css' ) );

    // Theme block stylesheet.
    wp_enqueue_style( 'car-mechanic-block-style', get_theme_file_uri( '/assets/css/blocks.css' ), array( 'car-mechanic-child-style' ), '1.0' );

    // enqueue parent styles
    wp_enqueue_style('automobile-hub-style', get_template_directory_uri() .'/style.css');

    // enqueue child styles
    wp_enqueue_style('car-mechanic-child-style', get_stylesheet_directory_uri() .'/style.css', array('automobile-hub-style'));
    require get_theme_file_path( '/tp-theme-color.php' );
    wp_add_inline_style( 'car-mechanic-child-style',$automobile_hub_tp_theme_css );

    require get_theme_file_path( '/tp-body-width-layout.php' );
    wp_add_inline_style( 'car-mechanic-child-style',$automobile_hub_tp_theme_css );


    wp_enqueue_script( 'comment-reply', '/wp-includes/js/comment-reply.min.js', array(), false, true );

    $automobile_hub_body_font_family = get_theme_mod('automobile_hub_body_font_family', '');

    $automobile_hub_heading_font_family = get_theme_mod('automobile_hub_heading_font_family', '');

    $automobile_hub_menu_font_family = get_theme_mod('automobile_hub_menu_font_family', '');

    $automobile_hub_tp_theme_css = '
        body{
            font-family: '.esc_html($automobile_hub_body_font_family).'!important;
        }
        p.simplep,.more-btn a{
            font-family: '.esc_html($automobile_hub_body_font_family).'!important;
        }
        h1{
            font-family: '.esc_html($automobile_hub_heading_font_family).'!important;
        }
        h2{
            font-family: '.esc_html($automobile_hub_heading_font_family).'!important;
        }
        h3{
            font-family: '.esc_html($automobile_hub_heading_font_family).'!important;
        }
        h4{
            font-family: '.esc_html($automobile_hub_heading_font_family).'!important;
        }
        h5{
            font-family: '.esc_html($automobile_hub_heading_font_family).'!important;
        }
        h6{
            font-family: '.esc_html($automobile_hub_heading_font_family).'!important;
        }
        #theme-sidebar .wp-block-search .wp-block-search__label{
            font-family: '.esc_html($automobile_hub_heading_font_family).'!important;
        }
        .menubar{
            font-family: '.esc_html($automobile_hub_menu_font_family).'!important;
        }
    ';
    wp_add_inline_style('automobile-hub-style', $automobile_hub_tp_theme_css);
}
add_action('wp_enqueue_scripts', 'car_mechanic_enqueue_styles');

function car_mechanic_admin_scripts() {
    // Backend CSS
    wp_enqueue_style( 'car-mechanic-backend-css', get_theme_file_uri( '/assets/css/customizer.css' ) );
}
add_action( 'admin_enqueue_scripts', 'car_mechanic_admin_scripts' );

define('CAR_MECHANIC_PRO_CREDIT',__('https://www.themespride.com/themes/free-mechanic-wordpress-theme/','car-mechanic') );
if ( ! function_exists( 'car_mechanic_credit' ) ) {
    function car_mechanic_credit(){
        echo "<a href=".esc_url(CAR_MECHANIC_PRO_CREDIT)." target='_blank'>".esc_html__(get_theme_mod('automobile_hub_footer_text',__('Car Mechanic WordPress Theme','car-mechanic')))."</a>";
    }
} 

function car_mechanic_header_style() {
    if ( get_header_image() ) :
    $automobile_hub_custom_header = "
        .headerbox{
            background-image:url('".esc_url(get_header_image())."');
            background-position: center top;
            background-size: cover;
        }";
        wp_add_inline_style( 'car-mechanic-child-style', $automobile_hub_custom_header );
    endif;
}
add_action( 'wp_enqueue_scripts', 'car_mechanic_header_style' );

// Featured Cars Meta
function car_mechanic_bn_custom_meta_featured() {
    add_meta_box( 'bn_meta', __( 'Car Feature Meta Feilds', 'car-mechanic' ), 'car_mechanic_meta_callback_featured_car', 'post', 'normal', 'high' );
}
/* Hook things in for admin*/
if (is_admin()){
  add_action('admin_menu', 'car_mechanic_bn_custom_meta_featured');
}

function car_mechanic_meta_callback_featured_car( $post ) {
    wp_nonce_field( basename( __FILE__ ), 'car_mechanic_featured_car_meta_nonce' );
    $bn_stored_meta = get_post_meta( $post->ID );
    $car_mechanic_compare_price = get_post_meta( $post->ID, 'car_mechanic_compare_price', true );
    $car_mechanic_body_type = get_post_meta( $post->ID, 'car_mechanic_body_type', true );
    $car_mechanic_model_year = get_post_meta( $post->ID, 'car_mechanic_model_year', true );
    $car_mechanic_mileage = get_post_meta( $post->ID, 'car_mechanic_mileage', true );
    ?>
    <div id="custom_stuff">
        <table id="list">
            <tbody id="the-list" data-wp-lists="list:meta">
                <tr id="meta-8">
                    <td class="left">
                        <?php esc_html_e( 'Compare Price', 'car-mechanic' )?>
                    </td>
                    <td class="left">
                        <input type="text" name="car_mechanic_compare_price" id="car_mechanic_compare_price" value="<?php echo esc_attr($car_mechanic_compare_price); ?>" />
                    </td>
                </tr>
                <tr id="meta-8">
                    <td class="left">
                        <?php esc_html_e( 'Car Body-Type', 'car-mechanic' )?>
                    </td>
                    <td class="left">
                        <input type="text" name="car_mechanic_body_type" id="car_mechanic_body_type" value="<?php echo esc_attr($car_mechanic_body_type); ?>" />
                    </td>
                </tr>
                <tr id="meta-8">
                    <td class="left">
                        <?php esc_html_e( 'Car Model-Year', 'car-mechanic' )?>
                    </td>
                    <td class="left">
                        <input type="text" name="car_mechanic_model_year" id="car_mechanic_model_year" value="<?php echo esc_attr($car_mechanic_model_year); ?>" />
                    </td>
                </tr>
                <tr id="meta-8">
                    <td class="left">
                        <?php esc_html_e( 'Car Mileage', 'car-mechanic' )?>
                    </td>
                    <td class="left">
                        <input type="text" name="car_mechanic_mileage" id="car_mechanic_mileage" value="<?php echo esc_attr($car_mechanic_mileage); ?>" />
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
    <?php
}

/* Saves the custom meta input */
function car_mechanic_bn_metadesig_save( $post_id ) {
    if (!isset($_POST['car_mechanic_featured_car_meta_nonce']) || !wp_verify_nonce( strip_tags( wp_unslash( $_POST['car_mechanic_featured_car_meta_nonce']) ), basename(__FILE__))) {
        return;
    }

    if (!current_user_can('edit_post', $post_id)) {
        return;
    }

    if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) {
        return;
    }

    // Save Compare Price
    if( isset( $_POST[ 'car_mechanic_compare_price' ] ) ) {
        update_post_meta( $post_id, 'car_mechanic_compare_price', strip_tags( wp_unslash( $_POST[ 'car_mechanic_compare_price' ]) ) );
    }
    // Save Car Body-Type
    if( isset( $_POST[ 'car_mechanic_body_type' ] ) ) {
        update_post_meta( $post_id, 'car_mechanic_body_type', strip_tags( wp_unslash( $_POST[ 'car_mechanic_body_type' ]) ) );
    }
    // Save Car Model-Year
    if( isset( $_POST[ 'car_mechanic_model_year' ] ) ) {
        update_post_meta( $post_id, 'car_mechanic_model_year', strip_tags( wp_unslash( $_POST[ 'car_mechanic_model_year' ]) ) );
    }
    // Save Car Mileage
    if( isset( $_POST[ 'car_mechanic_mileage' ] ) ) {
        update_post_meta( $post_id, 'car_mechanic_mileage', strip_tags( wp_unslash( $_POST[ 'car_mechanic_mileage' ]) ) );
    }
}
add_action( 'save_post', 'car_mechanic_bn_metadesig_save' );

require get_theme_file_path( '/customizer/customize-control-toggle.php' );

if ( ! defined( 'AUTOMOBILE_HUB_PRO_THEME_NAME' ) ) {
    define( 'AUTOMOBILE_HUB_PRO_THEME_NAME', esc_html__( 'Car Mechanic Pro Theme', 'car-mechanic' ));
}
if ( ! defined( 'AUTOMOBILE_HUB_PRO_THEME_URL' ) ) {
    define( 'AUTOMOBILE_HUB_PRO_THEME_URL', 'https://www.themespride.com/themes/car-mechanic-wordpress-theme/' );
}
if ( ! defined( 'AUTOMOBILE_HUB_FREE_THEME_URL' ) ) {
    define( 'AUTOMOBILE_HUB_FREE_THEME_URL', 'https://www.themespride.com/themes/free-mechanic-wordpress-theme/' );
}
if ( ! defined( 'AUTOMOBILE_HUB_DEMO_THEME_URL' ) ) {
    define( 'AUTOMOBILE_HUB_DEMO_THEME_URL', 'https://www.themespride.com/car-mechanic-pro/' );
}
if ( ! defined( 'AUTOMOBILE_HUB_DOCS_THEME_URL' ) ) {
    define( 'AUTOMOBILE_HUB_DOCS_THEME_URL', 'https://themespride.com/demo/docs/car-mechanic-pro/' );
}
if ( ! defined( 'AUTOMOBILE_HUB_RATE_THEME_URL' ) ) {
    define( 'AUTOMOBILE_HUB_RATE_THEME_URL', 'https://wordpress.org/support/theme/car-mechanic/reviews/#new-post' );
}
if ( ! defined( 'AUTOMOBILE_HUB_CHANGELOG_THEME_URL' ) ) {
    define( 'AUTOMOBILE_HUB_CHANGELOG_THEME_URL', get_stylesheet_directory() . '/readme.txt' );
}
if ( ! defined( 'AUTOMOBILE_HUB_SUPPORT_THEME_URL' ) ) {
    define( 'AUTOMOBILE_HUB_SUPPORT_THEME_URL', 'https://wordpress.org/support/theme/car-mechanic' );
}
if ( ! defined( 'AUTOMOBILE_HUB_DOCS_URL' ) ) {
	define( 'AUTOMOBILE_HUB_DOCS_URL', esc_url('https://www.themespride.com/demo/docs/car-mechanic-lite/'));
}
